JBoss API: Interface AbstractWebContainerMBean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web
Interface AbstractWebContainerMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  AbstractWebContainer

public interface AbstractWebContainerMBean
extends ServiceMBean

A template pattern for web container integration into JBoss.

Version:
  $Revision: 1.1.6.3 $
Author:
  Scott.Stark@jboss.org

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`void` | `deploy(java.lang.String ctxPath, java.lang.String warUrl)`
`org.w3c.dom.Element` | `getConfig()` Access any arbitrary config information.
`java.util.Iterator` | `getDeployedApplications()` Returns the applications deployed by the container factory
`boolean` | `isDeployed(java.lang.String warUrl)`
`void` | `setConfig(org.w3c.dom.Element config)` Allow the import of an arbitrary XML configuration tree
`void` | `undeploy(java.lang.String warUrl)`

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Method Detail

### deploy

    public void deploy(java.lang.String ctxPath,
                       java.lang.String warUrl)
                throws DeploymentException

### undeploy

    public void undeploy(java.lang.String warUrl)
                  throws DeploymentException

### isDeployed

    public boolean isDeployed(java.lang.String warUrl)

### getDeployedApplications

    public java.util.Iterator getDeployedApplications()

  Returns the applications deployed by the container factory
  Returns:
    An Iterator of WebApplication objects for the deployed wars.

### getConfig

    public org.w3c.dom.Element getConfig()

  Access any arbitrary config information.

### setConfig

    public void setConfig(org.w3c.dom.Element config)

  Allow the import of an arbitrary XML configuration tree

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.